@use './variable' as *;

.footer {
  padding-bottom: 100px;
  background-color: $gray-light-color;
  padding-top: 180px;
  &__container {
    display: grid;
    grid-template-columns: 3fr 1fr 1fr 1fr;
    grid-gap: 0 126px;
  }
  &__logo {
    display: inline-block;
    margin-bottom: 20px;
  }
  &__desc {
    margin-bottom: 30px;
  }
  &__heading {
    margin-bottom: 20px;
  }
  &__links {
    list-style-type: none;
  }
  &__item {
    margin-bottom: 10px;
  }
  &__link {
    color: inherit;
    line-height: calc(30 / 16);
  }
  .social {
    display: flex;
    align-items: center;
  }
  .copyright {
    color: #afb5c0;
  }
}

@media screen and (max-width: 767px) {
  .footer {
    padding-top: 50px;
  }

  .footer__container {
    grid-template-columns: 100%;
    grid-gap: 20px 0;
  }
}
